PPI::Structure::Subscript(3pm)

NAME
PPI::Structure::Subscript - Braces that represent an array or hash subscript

SYNOPSIS
  # The end braces for all of the following are subscripts
  $foo->[...]
  $foo[...]
  $foo{...}[...]
  $foo->{...}
  $foo{...}
  $foo[]{...}

INHERITANCE
  PPI::Structure::Subscript
  isa PPI::Structure
      isa PPI::Node
          isa PPI::Element

DESCRIPTION
"PPI::Structure::Subscript" is the class used for square and curly braces that specify one element of an array or hash (or a slice/subset of an array or hash)

METHODS
"PPI::Structure::Subscript" has no methods beyond those provided by the standard PPI::Structure, PPI::Node and PPI::Element methods.

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.